clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::interp::DeadBlock Class Reference

Descriptor for a dead block. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/AST/Interp/Block.h"`

## Public Member Functions
| DeadBlock (DeadBlock *&Root, Block *Blk)
| Copies the block. More...
char * | data ()
| Returns a pointer to the stored data. More...

## Friends
class | Block
class | InterpState

## Detailed Description

Descriptor for a dead block.

Dead blocks are chained in a double-linked list to deallocate them whenever pointers become dead.

Definition at line 112 of file Block.h.

## Constructor & Destructor Documentation

## ◆ DeadBlock()

DeadBlock::DeadBlock | ( | DeadBlock *& | Root,
|  | Block * | Blk
| ) |  |

Copies the block.

Definition at line 63 of file Block.cpp.

References P, and clang::interp::Block::Pointers.

## Member Function Documentation

## ◆ data()

char* clang::interp::DeadBlock::data | ( |  | ) |
| inline

Returns a pointer to the stored data.

Definition at line 118 of file Block.h.

## Friends And Related Function Documentation

## ◆ Block

friend class Block
| friend

Definition at line 121 of file Block.h.

## ◆ InterpState

friend class InterpState
| friend

Definition at line 122 of file Block.h.

The documentation for this class was generated from the following files:

- lib/AST/Interp/Block.h
- lib/AST/Interp/Block.cpp